%global momorel 1
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Name: kdepim
#Icon: kde-icon.xpm
Summary: Personal Information Management (PIM) for KDE
Version: %{kdever}
Release: %{momorel}m
URL: http://www.kde.org/
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 06d3e5d1ee0cd7f2a55bd26d05ee4987
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 06d3e5d1ee0cd7f2a55bd26d05ee4987
License: GPL
Group: Applications/Productivity
Requires: qt >= %{qtver}, kdelibs >= %{kdever}, kdebase >= %{kdever}
BuildPrereq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, libpng >= 1.2.5
BuildPreReq: pilot-link-devel >= 0.11.5
BuildPreReq: autoconf >= 2.56-3m 
BuildPreReq: perl 
BuildPreReq: libmal-devel
Obsoletes: korganizer1x, kpilot
ExcludeArch: ia64
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
kdepim is a collection of Personal Information Management (PIM) tools for
the K Desktop Enviromnent (KDE).
kdepim contains the following applications:

  kaddressbook: The KDE addressbook application.
  kandy: sync phone book entries between your cell phone and computer
  kmail: the KDE mail client
  kmailcvt: tool for importing mail related data from other programs
  knode: news client
  korganizer: a calendar-of-events and todo-list manager
  kpilot: synchronizing data with a Palm(tm) or compatible PDA
  kalarm: gui for setting up personal alarm messages, emails and commands
  kalarmd: alarm monitoring daemon, shared by korganizer and kalarm
  karm: Time tracker.
  knotes: Post-It notes on the desktop

and  

  kontact: a unified interface that draws KDE's email, calendaring, address book, notes and other PIM features together into a familiar configuration.


%prep
#'
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

perl -p -i -e "s|autoconf|autoconf-2.53|g" admin/Makefile.common
perl -p -i -e "s|autoheader|autoheader-2.53|g" admin/Makefile.common

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}
export CFLAGS="%{optflags} -D_GNU_SOURCE -DNDEBUG -UDEBUG -I%{_includedir}/libmal" \
export CXXFLAGS="%{optflags} -DNDEBUG -UDEBUG -DQT_THREAD_SUPPORT -I%{_includedir}/libmal"

if [ `gcc -dumpversion` = "3.3" ];then
CFLAGS="$CFLAGS -fno-stack-protector"
CXXFLAGS="$CXXFLAGS -fno-stack-protector"
fi

./configure --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} \
    --enable-final --with-mal

make %{?_smp_mflags} MAL_LIB=-lmal

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Make symlinks relative
(
  mkdir -p %{buildroot}%{_prefix}/share/doc/HTML/en/common
  cd %{buildroot}%{_prefix}/share/doc/HTML/en
  for i in *; do
    [ -d $i -a -L $i/common ] && cd $i && ln -nfs ../common . && cd ..
  done
)

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.libical 
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/.hidden/*
%{_datadir}/applnk/Applications/*
%{_datadir}/applnk/Utilities/*.desktop
%{_datadir}/apps/*
%{_datadir}/autostart/*
%{_datadir}/config/*
%{_datadir}/config.kcfg/*
%{_datadir}/doc/HTML/en/kaddressbook
%{_datadir}/doc/HTML/en/kalarm
%{_datadir}/doc/HTML/en/kandy
%{_datadir}/doc/HTML/en/karm
%{_datadir}/doc/HTML/en/kcontrol/kalarmd
%{_datadir}/doc/HTML/en/kdepim-apidocs
%{_datadir}/doc/HTML/en/kgpgcertmanager 
%{_datadir}/doc/HTML/en/kmail
%{_datadir}/doc/HTML/en/knode
%{_datadir}/doc/HTML/en/knotes
%{_datadir}/doc/HTML/en/konsolekalendar
%{_datadir}/doc/HTML/en/kontact
%{_datadir}/doc/HTML/en/korganizer
%{_datadir}/doc/HTML/en/korn
%{_datadir}/doc/HTML/en/kpilot
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%{_includedir}/*
%{_libdir}/*.so.?

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- HOT FIX for kmail (http://dot.kde.org/1075969434/)
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Wed Dec 31 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Thu Sep 25 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Tue Jul  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-3m)
- add -fno-stack-protector if gcc is 3.3

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- remove --disable-warnings from configure

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
   changes are:
     korganizer: Exchange plugin supports secure WebDAV.
     korganizer: Fix timezone handling when timezone names are Unicode strings.
- remove kdepim-3.1.1-korganizer-pref-timezone-fix.patch
- add kdepim-3.1.2-miscfix.patch
- add BuildPreReq: libmal-devel and add -I%{_includedir}/libmal to CXXFLAGS
- revive kalarm

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-4m)
- remove requires: qt-Xt
                                                                                
* Thu Apr  3 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- correct timezone string in pref dialog(kdepim-3.1.1-korganizer-pref-timezone-fix.patch)
   See: [Kdeveloper:02753]

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    KOrganizer bug fixes: 
      Use correct default duration for events crossing a day boundary (#53477).
      Correctly save category colors (#54913).
      Don't show todos more than once in what's next view.
      Include todos in print output of month view (#53291).
      Don't restrict maximum size of search dialog (#54912).
      Make cancel button of template selection dialog work (#54852).
      Don't break sorting when changing todos by context menu (#53680).
      Update views on changes of todos directly in the todo list (#43162).
      Save state of statusbar (#55380).
    knotes: Escape "&" in note titles
 
* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.
- remove subpackage "kalarm" because it make failed.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-3m)
- use autoconf-2.53

* Sat Oct 12 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.4-2m)
- revise %files (remove kpilot related directories)

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.
- remove Patch1.

* Wed Jul 24 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-3m)
- 3.0.2-2m is spec file fix miss. sorry.

* Wed Jul 24 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- add qt-3.0.5 build patch.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Thu Nov  8 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-10k)
- nigirisugi.
- revised spec file.

* Tue Oct 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.1-8k)
- add pilot-link-devel to BuildPreReq tag
- revised spec file.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Fri Mar 30 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.1.1-3k)

* Thu Mar 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-14k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-12k]
- backport 2.0.1-13k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-11k]
- rebuild against.

* Wed Dec 20 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- update patch.
- (kdepim-2.0.1-korganizer-i18n-20001205.diff).

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild against new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Sat Nov 04 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- add kdepim-2.0-korganizer-i18n-20001101.diff
- add GIF Support switch.
- release.

* Fri Oct 20 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- modified Rrequires,BuildPrereq.
- add %%define qtver.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.

* Mon Sep 25 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Sat Jun 24 2000 Kenichi Matsubara <m@kondara.org>
- Initial release for Kondara MNU/Linux.
